Package Details: grass 7.8.4-1

Git Clone URL: https://aur.archlinux.org/grass.git (read-only, click to copy)
Package Base: grass
Description: Geospatial data management and analysis, image processing, graphics/maps production, spatial modeling and visualization
Upstream URL: http://grass.osgeo.org/
Licenses: GPL
Submitter: Scimmia
Maintainer: Scimmia
Last Packager: Scimmia
Votes: 34
Popularity: 0.015762
First Submitted: 2015-09-06 15:10
Last Updated: 2020-10-14 14:35

Dependencies (27)

Required by (3)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 ... Next › Last »

kikislater commented on 2020-03-10 05:19

Grass launch fine with 3.8.2.

Some errors are displayed :

Traceback (most recent call last):
  File "/opt/grass/gui/wxpython/mapwin/buffered.py", line 640, in OnSize
    self.resize = time.clock()
AttributeError: module 'time' has no attribute 'clock'
Traceback (most recent call last):
  File "/opt/grass/gui/wxpython/mapwin/buffered.py", line 640, in OnSize
    self.resize = time.clock()
AttributeError: module 'time' has no attribute 'clock'
Traceback (most recent call last):
  File "/opt/grass/gui/wxpython/mapwin/buffered.py", line 640, in OnSize
    self.resize = time.clock()
AttributeError: module 'time' has no attribute 'clock'

Scimmia commented on 2020-02-27 14:12

python 3.8.2 is finally out and in the testing repo. Should hit Extra pretty quickly.

backerman commented on 2020-02-17 07:44

Please add flex as a build dependency.

kikislater commented on 2020-01-22 04:28

Edit : grass gui will not work with python 3.8.1. Downgrade to python 3.8.0 or wait for 3.8.2, they will revert changes in 3.8.2 https://trac.osgeo.org/grass/ticket/4015

grass doesn't launch anymore, wxpython fail :

$ grass78

Default locale not found, using UTF-8

Default locale settings are missing. GRASS running with C locale.

Starting GRASS GIS...

Cleaning up temporary files...

      __________  ___   __________    _______________
     / ____/ __ \/   | / ___/ ___/   / ____/  _/ ___/
    / / __/ /_/ / /| | \__ \\_  \   / / __ / / \__ \
   / /_/ / _, _/ ___ |___/ /__/ /  / /_/ // / ___/ /
   \____/_/ |_/_/  |_/____/____/   \____/___//____/

Welcome to GRASS GIS 7.8.2

GRASS GIS homepage: https://grass.osgeo.org

This version running through: Bash Shell (/bin/bash)

Help is available with the command: g.manual -i

See the licence terms with: g.version -c

See citation options with: g.version -x

If required, restart the GUI with: g.gui wxpython

When ready to quit enter: exit

Launching <wxpython> GUI in the background, please wait...

GRASS 7.8.2 (newLocation):~ > Traceback (most recent call last):

File "/usr/lib/python3.8/ctypes/init.py", line 99, in CFUNCTYPE

return _c_functype_cache[(restype, argtypes, flags)]

KeyError: (<class 'ctypes.c_int'>, (<class 'grass.lib.ctypes_preamble.String'>,), 1)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File "/opt/grass/gui/wxpython/wxgui.py", line 105, in OnInit

from lmgr.frame import GMFrame

File "/opt/grass/gui/wxpython/lmgr/frame.py", line 51, in <module>

from lmgr.layertree import LayerTree, LMIcons

File "/opt/grass/gui/wxpython/lmgr/layertree.py", line 38, in <module>

from mapdisp.frame import MapFrame

File "/opt/grass/gui/wxpython/mapdisp/frame.py", line 33, in <module>

from mapdisp.toolbars import MapToolbar, NvizIcons

File "/opt/grass/gui/wxpython/mapdisp/toolbars.py", line 22, in <module>

from nviz.main import haveNviz

File "/opt/grass/gui/wxpython/nviz/main.py", line 24, in <module>

from nviz import mapwindow

File "/opt/grass/gui/wxpython/nviz/mapwindow.py", line 42, in <module>

from nviz.workspace import NvizSettings

File "/opt/grass/gui/wxpython/nviz/workspace.py", line 23, in <module>

from nviz import wxnviz

File "/opt/grass/gui/wxpython/nviz/wxnviz.py", line 51, in <module>

from grass.lib.gis import *

File "/opt/grass/etc/python/grass/lib/gis.py", line 552, in <module>

('checker', CFUNCTYPE(UNCHECKED(c_int), String)),

File "/usr/lib/python3.8/ctypes/init.py", line 101, in CFUNCTYPE

class CFunctionType(_CFuncPtr):

TypeError: item 1 in argtypes passes a union by value, which is unsupported.

OnInit returned false, exiting...

kikislater commented on 2019-12-15 16:56

Wrong python version inside this grass package (symbolic link). It couldn't work like this. Python2 is deprecated in grass 7.8 Line 55 in PKGBUILD should be deleted, it's a nonsense to link python2 inside grass 7.8 ... Install some extension and you will see some problems !

Scimmia commented on 2019-12-15 15:21

No, everything using python3 calls python3 specifically

kikislater commented on 2019-12-15 08:13

PKGBUILD needs refactor : 7.8 support python 3 not python 2.

Line 55 : # Fix for 3rd party python scripts ln -s ../../../usr/bin/python2 bin/python

Running grass :

~ > which python

/opt/grass/bin/python

:~ > ls -lsa /opt/grass/bin/python

0 lrwxrwxrwx 1 root root 24 15 déc. 08:42 /opt/grass/bin/python -> ../../../usr/bin/python2

loganj commented on 2019-11-22 21:48

grass78
Starting GRASS GIS...
Traceback (most recent call last):
File "/opt/grass/gui/wxpython/core/globalvar.py", line 49, in CheckWxVersion
parsed_version = list(map(int, split_ver))
ValueError: invalid literal for int() with base 10: 'post2'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/opt/grass/gui/wxpython/gis_set.py", line 34, in <module>
from core import globalvar
File "/opt/grass/gui/wxpython/core/globalvar.py", line 237, in <module>
hasAgw = CheckWxVersion([2, 8, 11, 0])
File "/opt/grass/gui/wxpython/core/globalvar.py", line 55, in CheckWxVersion
parsed_version = list(map(int, split_ver[:-1])) + [int(split_ver[-1][:i])]
ValueError: invalid literal for int() with base 10: ''
ERROR: Error in GUI startup. See messages above (if any) and if necessary, please report this error to the GRASS developers.
On systems with package manager, make sure you have the right GUI package, probably named grass-gui, installed.
To run GRASS GIS in text mode use the --text flag.
Use '--help' for further options
grass78 --help
See also: https://grass.osgeo.org/grass78/manuals/helptext.html
Exiting...

Scimmia commented on 2019-11-12 15:08

Seems even 7.8.1 isn't totally ready for python 3.8 (time module changes). If it becomes an issue, let me know and I'll see about patching it.

kikislater commented on 2019-09-30 06:43

There is a ton of problems using 7.8. There is no LTS version on AUR. May be it should be good to use it : Latest stable long term support (LTS) release: GRASS GIS 7.6 source : https://grass.osgeo.org/